| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::DServiceMenu Class Reference

## Static Public Member Functions
static QIcon | getIconFromService (const DServiceInfo &sinfo)
| Return the QIcon depending on the operating system.
static bool | runFiles (const DServiceInfo &serviceInfo, const QList< QUrl > &urls)
static bool | runFiles (const KService::Ptr &service, const QList< QUrl > &urls)
| Linux only: open file urls with the service.
static bool | runFiles (const QString &appCmd, const QList< QUrl > &urls, const KService::Ptr &service=KService::Ptr(), const DServiceInfo &serviceInfo=DServiceInfo())
| Linux only: open file urls with the application command.
static QList< DServiceInfo > | servicesForOpen (const QList< QUrl > &urls)
static KService::List | servicesForOpenWith (const QList< QUrl > &urls)
| Linux only: return list of service available on desktop to open files.